/*
 * nes.h
 *
 * NES specific header.
 */

/* $Id: nes.h,v 1.1 1998/07/11 22:18:06 nyef Exp $ */

#ifndef __NES_H__
#define __NES_H__

extern unsigned char *vromimage;  /* Cart VRom area */
extern unsigned char *PPU_memory; /* PPU Ram */

extern unsigned char *bank_0;     /* System Ram */

extern unsigned char *bank_6;     /* Cart Ram */
extern unsigned char *bank_8;     /* Rom Page */
extern unsigned char *bank_A;     /* Rom Page */
extern unsigned char *bank_C;     /* Rom Page */
extern unsigned char *bank_E;     /* Rom Page */

extern unsigned char bank8_reg;
extern unsigned char bankA_reg;
extern unsigned char bankC_reg;
extern unsigned char bankE_reg;

#define cart_rom_size (read_byte(romimage, 4))
#define cart_vrom_size (read_byte(romimage, 5))
#define cart_mapper (read_byte(romimage, 6) >> 4)

void sync_banks(void);

#endif /* __NES_H__ */

/*
 * $Log: nes.h,v $
 * Revision 1.1  1998/07/11 22:18:06  nyef
 * Initial revision
 *
 */
