/*
 * opc6280.h
 *
 * 6280 opcode emulation macros
 */

/* $Id: opc6280.h,v 1.4 1998/11/01 23:29:45 nyef Exp $ */

#ifndef __OPC6280_H__
#define __OPC6280_H__

#ifndef __OPC65C02_H__
#include "opc65c02.h"
#endif

#define mpr0        0x25(%ebp)
#define mpr1        0x26(%ebp)
#define mpr2        0x27(%ebp)
#define mpr3        0x28(%ebp)
#define mpr4        0x29(%ebp)
#define mpr5        0x2a(%ebp)
#define mpr6        0x2b(%ebp)
#define mpr7        0x2c(%ebp)

#define DoRMB(bit) GetFromPC_B; MemReadNorm; movzbl %al, %eax; movl page_0, %edi; btr bit, (%edi, %eax, 1); CYC_OP = 6
#define DoSMB(bit) GetFromPC_B; MemReadNorm; movzbl %al, %eax; movl page_0, %edi; bts bit, (%edi, %eax, 1); CYC_OP = 6

#endif /* __OPC6280_H__ */

/*
 * $Log: opc6280.h,v $
 * Revision 1.4  1998/11/01 23:29:45  nyef
 * fixed all ZPage addressing modes to use direct ZPage access.
 *
 * Revision 1.3  1998/07/15 01:42:47  nyef
 * fixed stupid naming mistake with DoRMB and DoSMB
 *
 * Revision 1.2  1998/07/15 01:10:24  nyef
 * added macro edefinitions for SMB and RMB
 *
 * Revision 1.1  1998/07/11 22:18:39  nyef
 * Initial revision
 *
 */
