/*
 * ui.h
 *
 * user interface interface
 */

/* $Id: ui.h,v 1.3 1999/04/17 20:11:27 nyef Exp $ */

#ifndef __UI_H__
#define __UI_H__

/* debug console interface */

void deb_printf(const char *fmt, ...);


/* timeslicer interface */

void set_timeslice(void (*proc)(void *), void *data);
void unset_timeslice(void);


/* shutdown callback */

typedef void (*shutdown_t)(void);
extern shutdown_t dn_shutdown;
     
#endif /* __UI_H__ */

/*
 * $Log: ui.h,v $
 * Revision 1.3  1999/04/17 20:11:27  nyef
 * changed shutdown() to dn_shutdown().
 *
 * Revision 1.2  1998/12/21 02:58:13  nyef
 * added a shutdown callback.
 *
 * Revision 1.1  1998/08/02 04:13:25  nyef
 * Initial revision
 *
 */
