/*
 * ui.h
 *
 * user interface interface
 */

/* $Id: ui.h,v 1.2 1998/12/21 02:58:13 nyef Exp $ */

#ifndef __UI_H__
#define __UI_H__

/* debug console interface */

void deb_printf(const char *fmt, ...);


/* timeslicer interface */

void set_timeslice(void (*proc)(void *), void *data);
void unset_timeslice(void);


/* shutdown callback */

typedef void (*shutdown_t)(void);
extern shutdown_t shutdown;
     
#endif /* __UI_H__ */

/*
 * $Log: ui.h,v $
 * Revision 1.2  1998/12/21 02:58:13  nyef
 * added a shutdown callback.
 *
 * Revision 1.1  1998/08/02 04:13:25  nyef
 * Initial revision
 *
 */
