/*
 * video_svga.c
 *
 * display screen management
 */

/* $Id: video_svga.c,v 1.1 1998/07/11 22:19:21 nyef Exp $ */

#include <vga.h>
#include "video.h"

int video_active = 0;
int deblevel = 0;

void video_init()
{
#ifdef GRAPHICS
    vga_init();
#endif
}

void video_shutdown(void)
{
#ifdef GRAPHICS
    vga_setmode(TEXT);
#endif
}

void video_enter_deb(void)
{
#ifdef GRAPHICS
    if (video_active && (!deblevel)) {
	vga_flip();
    }
#endif
    deblevel++;
}

void video_leave_deb(void)
{
    deblevel--;
#ifdef GRAPHICS
    if (video_active && (!deblevel)) {
	vga_flip();
    }
#endif
}

/*
 * $Log: video_svga.c,v $
 * Revision 1.1  1998/07/11 22:19:21  nyef
 * Initial revision
 *
 */
