/*
 * io_nes.h
 *
 * function prototypes for NES I/O emulation
 */

/* $Id: io_nes.h,v 1.1 1998/07/11 22:17:41 nyef Exp $ */

#ifndef __IO_NES_H__
#define __IO_NES_H__

#ifndef __EMU6502_H__
#include "emu6502.h"
#endif

extern unsigned char ppu_cntrl1; /* for read/write $2000 */
extern unsigned char ppu_cntrl2; /* for read/write $2001 */
extern unsigned char ppu_status; /* for read from $2002 */
extern unsigned char ppu_vscrol; /* for write $2005 */
extern unsigned char ppu_hscrol; /* for write $2005 */
extern unsigned char ppu_scrollmode; /* for scroll emulation */

void io_nes_init(struct emu6502_context *regs);

#endif /* __IO_NES_H__ */

/*
 * $Log: io_nes.h,v $
 * Revision 1.1  1998/07/11 22:17:41  nyef
 * Initial revision
 *
 */
