/*
 * opc65c02.h
 *
 * 65c02 opcode emulation macros
 */

/* $Id: opc65c02.h,v 1.3 1998/11/01 23:29:59 nyef Exp $ */

#ifndef __OPC65C02_H__
#define __OPC65C02_H__

#ifndef __OPC6502_H__
#include "opc6502.h"
#endif

#define GetInd xor %eax, %eax; GetFromPC_B; MemReadNorm; movl page_0, %esi; movw (%eax, %esi), %ax; movl %eax, %edi; CYC_ADDMODE = 3

#define DoSTZ(x) xorb %al, %al; MemWrite##x

#define DoINCa incb %cl; FlagNZ; CYC_OP = 3
#define DoDECa decb %cl; FlagNZ; CYC_OP = 3

#define DoTSB(x) MemRead##x; movb %al, %ah; andb %cl, %ah; FlagZ; movb %al, %ah; orb %cl, %al; MemWrite##x; movzbl %ah, %eax; andb $0xc0, %al; movb SYMNAME(flags_to_8088)(%eax), %al; andb flag_NV_not, %ch; orb %al, %ch
#define DoTRB(x) MemRead##x; movb %al, %ah; andb %cl, %ah; FlagZ; movb %al, %ah; xorb $0xff, %cl; andb %cl, %al; xorb $0xff, %cl; MemWrite##x; movzbl %ah, %eax; andb $0xc0, %al; movb SYMNAME(flags_to_8088)(%eax), %al; andb flag_NV_not, %ch; orb %al, %ch


#endif /* __OPC65C02_H__ */

/*
 * $Log: opc65c02.h,v $
 * Revision 1.3  1998/11/01 23:29:59  nyef
 * fixed all ZPage addressing modes to use direct ZPage access.
 *
 * Revision 1.2  1998/07/29 01:18:11  nyef
 * added SYMNAMEs around the references to flags_to_8088 for djgpp.
 *
 * Revision 1.1  1998/07/11 22:18:48  nyef
 * Initial revision
 *
 */
